Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: Randy Dunlap <[email-masked]>
Date: Wed, 17 Nov 2010 08:03:01 -0800

On 11/16/10 18:48, Stephen Rothwell wrote:
> Hi John,
> 
> After merging the final tree, today's linux-next build (powerpc allyesconfig)
> failed like this:
> 
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_legacy_mac_reset_tsf':
> (.opd+0xf00): multiple definition of `iwl_legacy_mac_reset_tsf'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0x90): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `.iwl_legacy_mac_config':
> (.text+0x50ae4): multiple definition of `.iwl_legacy_mac_config'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.text+0x2b34): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `.iwl_legacy_mac_bss_info_changed':
> (.text+0x4f778): multiple definition of `.iwl_legacy_mac_bss_info_changed'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.text+0x17c8): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `.iwl_legacy_tx_cmd_protection':
> (.text+0x4dfb0): multiple definition of `.iwl_legacy_tx_cmd_protection'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.text+0x0): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_legacy_mac_bss_info_changed':
> (.opd+0xee8): multiple definition of `iwl_legacy_mac_bss_info_changed'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0x78): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_legacy_tx_cmd_protection':
> (.opd+0xe70): multiple definition of `iwl_legacy_tx_cmd_protection'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0x0): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `.iwl_isr_legacy':
> (.text+0x4e0e0): multiple definition of `.iwl_isr_legacy'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.text+0x130): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `.iwl_legacy_mac_reset_tsf':
> (.text+0x50620): multiple definition of `.iwl_legacy_mac_reset_tsf'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.text+0x2670): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_isr_legacy':
> (.opd+0xe88): multiple definition of `iwl_isr_legacy'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0x18): first defined here
> drivers/net/wireless/iwlwifi/iwl3945.o: In function `iwl_legacy_mac_config':
> (.opd+0xf18): multiple definition of `iwl_legacy_mac_config'
> drivers/net/wireless/iwlwifi/iwlagn.o:(.opd+0xa8): first defined here
> 
> I should have known when I reported the warning ...
> 
> Caused by commit dd0dd411f7178a20ea93a3cfa39123f078a07e25 ("iwlwifi: fix
> modular legacy build errors").
> 
> I have reverted that commit for today.

Ack.  John, please drop/revert that patch.

Sorry about the problem.
-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***